// $Id: LogFrame.cpp,v 1.22 2013/11/13 13:52:14 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "LogFrame.h"
#include "LogFrame.moc"

#include "Debug.h"
#include "LogWidget.h"

//_____________________________________________________________
LogFrame::LogFrame( QTabWidget* parent ):
    TabWidget( parent )
{
    Debug::Throw("LogFrame::LogFrame.\n" );
    setTitle( tr( "Log" ) );

    // editor
    editor_ = new LogWidget( &box() );
    editor_->setOptionName( "LOG_WIDGET" );
    box().layout()->addWidget( editor_ );

}
